#include <iostream>

using namespace std;
int x1, m1,x2,m2;
int main()
{
    cin>>x1>>m1;
    cin>>x2>>m2;
    if (x1==x2 && m1==m2)
    cout<<'0';
    else if (x1==x2 || m1==m2)
    cout<<'2';
    else if (abs(x1-x2)==abs(m1-m2))
    cout<<'1';
    else cout<<'0';
    
    
    

    return 0;
}